Closed Bug 954594 Opened 7 years ago Closed 7 years ago

Focus contact window on 'Restore' in tray context menu

Categories

(Instantbird :: Contacts window, defect)

x86
All
defect
Not set
minor

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: aleth, Assigned: aleth)

Details

Attachments

(1 file)

*** Original post on bio 1162 at 2011-11-12 17:11:00 UTC ***

...or leave it as it is, but have it bring the contact window to the front, giving it focus.
*** Original post on bio 1162 at 2011-11-19 19:49:14 UTC ***

I think the second option is the better one.

I can't test this, nor am I certain, but would it not be enough to add a focus() call after http://lxr.instantbird.org/instantbird/source/instantbird/components/mintrayr/trayToolkit.cpp#445 ?
*** Original post on bio 1162 at 2011-12-08 23:01:42 UTC ***

(In reply to comment #1)
> I think the second option is the better one.

I agree. Focusing the window seems a better idea.


> I can't test this, nor am I certain, but would it not be enough to add a
> focus() call after
> http://lxr.instantbird.org/instantbird/source/instantbird/components/mintrayr/trayToolkit.cpp#445
> ?

I don't know. I guess we may also do it from JS, getting the blist window with Services.wm.getEnumerator("Messenger:blist") and then focus it.
Summary: Disable 'Restore' in tray context menu when contact window already open... → Focus contact window on 'Restore' in tray context menu
Attached patch PatchSplinter Review
*** Original post on bio 1162 as attmnt 1138 at 2012-01-25 22:03:00 UTC ***

Even simpler. (And I don't think this window can be null!)
Attachment #8352883 - Flags: review?(clokep)
Comment on attachment 8352883 [details] [diff] [review]
Patch

*** Original change on bio 1162 attmnt 1138 at 2012-01-26 00:27:46 UTC ***

This looks fine. Thanks.
Attachment #8352883 - Flags: review?(clokep) → review+
Assignee: nobody → aleth
Severity: normal → minor
Status: NEW → ASSIGNED
OS: Linux → All
*** Original post on bio 1162 at 2012-01-26 00:47:05 UTC ***

Thanks for fixing this, checked in as http://hg.instantbird.org/instantbird/rev/744a55d0f708
Status: ASSIGNED → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.2
You need to log in before you can comment on or make changes to this bug.